<?php

declare(strict_types=1);

namespace App\Model;

use Nette;

/**
 * Naše vlastní indetita přihlášeného uživatele.
 */
class UserIdentity extends Nette\Security\SimpleIdentity
{
    public function __construct(
        int $id,
        array $roles,
        public string $username,
        public string $password,
    ) {
        parent::__construct($id, $roles, null);
    }
}